Bug 54455 - Port to GStreamer 1.0
Port to GStreamer 1.0
Status: RESOLVED FIXED
Product: libcanberra
Classification: Unclassified
Component: Unspecified
unspecified
Other All
: medium normal
Assigned To: Lennart Poettering
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 18:24 UTC by Dominique Leuenberger
Modified: 2012-09-25 00:12 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Port to GStreamer 1.0 (3.04 KB, patch)
2012-09-03 18:28 UTC, Dominique Leuenberger
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2012-09-03 18:24:32 UTC
I made an initial attempt at porting libcanberra to GStreamer 1.0 (0.11.93 actually).

The entire gnome stack is migrating, and GStreamer 1.0 is assumed for Gnome 3.6;

as such, switching any other underlying tool as well is just logical.
Comment 1 Dominique Leuenberger 2012-09-03 18:28:44 UTC
Created attachment 66568 [details] [review]
Port to GStreamer 1.0
Comment 2 Bastien Nocera 2012-09-24 14:54:21 UTC
Comment on attachment 66568 [details] [review]
Port to GStreamer 1.0

Review of attachment 66568 [details] [review]:
-----------------------------------------------------------------

Did a port too, and realised that yours was already in bugzilla.

::: configure.ac
@@ +383,4 @@
>          [gstreamer=auto])
>  
>  if test "x${gstreamer}" != xno ; then
> +    PKG_CHECK_MODULES(GST, [ gstreamer-1.0 >= 0.10.15 ],

You can remove the version here, it's not relevant anymore.

::: src/gstreamer.c
@@ +307,4 @@
>  
>          sinkelement = GST_ELEMENT(data);
>  
> +        caps = gst_pad_query_caps(pad, NULL);

I had:
-        caps = gst_pad_get_caps(pad);
+        caps = gst_pad_get_current_caps(pad);
instead.
Comment 3 Lennart Poettering 2012-09-24 14:55:33 UTC
Ah, will merge and release. Sorry for the delay.
Comment 4 Lennart Poettering 2012-09-25 00:11:40 UTC
Applied. Thanks.